Get a phone number's ownership tracking detail
Get the ownership status of a phone number, when it was last checked, the carrier recorded as its baseline, and the history of ownership events.
GET
/
enterprises
/
{enterprise_id}
/
reputation
/
numbers
/
{phone_number}
/
ownership
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.reputation.numbers.retrieveOwnership('enterprise_id', 'phone_number');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.reputation.numbers.retrieve_ownership(
"enterprise_id",
"phone_number",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.Reputation.Numbers.GetOwnership(
context.TODO(),
"enterprise_id",
"phone_number",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.enterprises().reputation().numbers().retrieveOwnership("enterprise_id", "phone_number");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.reputation.numbers.retrieve_ownership("enterprise_id", "phone_number")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->reputation->numbers->retrieveOwnership(
'enterprise_id',
'phone_number',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation:numbers retrieve-ownership \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--phone-number +19493253498curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership \
--header 'Authorization: Bearer <token>'{
"data": {
"phone_number": "+19493253498",
"source": "external",
"ownership_status": "verified",
"flag_reason": null,
"confirm_by": null,
"last_checked_at": "2026-10-05T06:00:41Z",
"baseline_carrier": "114J",
"baseline_recorded_at": "2026-09-20T15:22:09Z",
"history": [
{
"event_type": "check",
"outcome": "unchanged",
"occurred_at": "2026-10-05T06:00:41Z"
}
]
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
The enterprise id. Lowercase UUID.
Example:
"4a6192a4-573d-446d-b3ce-aff9117272a6"
Phone number in E.164 format (+1NPANXXXXXX for US/CA). The leading + MUST be URL-encoded as %2B (e.g. %2B19493253498).
Example:
"+19493253498"
Response
Ownership tracking detail.
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.reputation.numbers.retrieveOwnership('enterprise_id', 'phone_number');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.reputation.numbers.retrieve_ownership(
"enterprise_id",
"phone_number",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.Reputation.Numbers.GetOwnership(
context.TODO(),
"enterprise_id",
"phone_number",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.enterprises().reputation().numbers().retrieveOwnership("enterprise_id", "phone_number");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.reputation.numbers.retrieve_ownership("enterprise_id", "phone_number")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->reputation->numbers->retrieveOwnership(
'enterprise_id',
'phone_number',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation:numbers retrieve-ownership \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--phone-number +19493253498curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership \
--header 'Authorization: Bearer <token>'{
"data": {
"phone_number": "+19493253498",
"source": "external",
"ownership_status": "verified",
"flag_reason": null,
"confirm_by": null,
"last_checked_at": "2026-10-05T06:00:41Z",
"baseline_carrier": "114J",
"baseline_recorded_at": "2026-09-20T15:22:09Z",
"history": [
{
"event_type": "check",
"outcome": "unchanged",
"occurred_at": "2026-10-05T06:00:41Z"
}
]
}
}